# PSynonymColour Class Reference

Define synonym colour format converter. More...

`#include <vconvert.h>`

Inheritance diagram for PSynonymColour:

List of all members.

## Public Member Functions

| PSynonymColour (const PVideoFrameInfo &src, const PVideoFrameInfo &dst)
virtual PBoolean | Convert (const BYTE *, BYTE *, PINDEX *=NULL)
| Convert from one colour format to another.
virtual PBoolean | Convert (const BYTE *, BYTE *, unsigned int, PINDEX *=NULL)

## Detailed Description

Define synonym colour format converter.

This is a class that defines for which no conversion is required between the specified colour format names.

## Constructor & Destructor Documentation

PSynonymColour::PSynonymColour | ( | const PVideoFrameInfo & | src,
|  | const PVideoFrameInfo & | dst |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual PBoolean PSynonymColour::Convert | ( | const BYTE * | ,
|  | BYTE * | ,
|  | unsigned | int,
|  | PINDEX * | = `NULL` |
| ) |  |  | `[virtual]`

Implements PColourConverter.

virtual PBoolean PSynonymColour::Convert | ( | const BYTE * | ,
|  | BYTE * | ,
|  | PINDEX * | = `NULL` |
| ) |  |  | `[virtual]`

Convert from one colour format to another.

This version will copy the data from one frame buffer to another. An implementation of this function should allow for the case of where srcFrameBuffer and dstFrameBuffer are the same, if the conversion algorithm allows for that to occur without an intermediate frame store.

The function should return false if srcFrameBuffer and dstFrameBuffer are the same and that form pf conversion is not allowed

Implements PColourConverter.

The documentation for this class was generated from the following file:

- vconvert.h